<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf8" />
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="wkeyth=device-wkeyth, initial-scale=1">

    <title>WalletTest</title>
    <link rel="stylesheet" href="css/style.css" />
    <link href="css/css.css?family=Ubuntu" rel="stylesheet">
    <link href="css/bootstrap.min.css" rel="stylesheet" />
    <!--[if lt IE 9]>
            <script src="html5shiv.js"></script>
        <![endif]-->
</head>
<div class="titre col-sm-12"><i class="glyphicon glyphicon-user"></i> WalletTest
    <div class="nav navbar-nav navbar-right"> 
        <input  type="text" class="form-control inputmenu input-sm" ng-model="token" placeholder="token" id="token">
    </div>
</div>

<body ng-app="WalletTest" ng-controller="WalletTestCtrl" ng-init="initFirst()">
    <div class="col-sm-2">
        <form id="newWallet-form" class="form-group ">
            
            <div class="input-group">
                <input id="newClef" type="text" class="form-control inputmenu input-sm" ng-model="newClef" placeholder="Clef"
                    ng-click="vkeyeWallet()">
                <input id="newName" type="text" class="form-control inputmenu input-sm" ng-model="newName" placeholder="Url">
                <input id="newLogin" type="text" class="form-control inputmenu input-sm" ng-model="newLogin" placeholder="identifiant">
                <input id="newPwd" type="text" class="form-control inputmenu input-sm" ng-model="newPwd" placeholder="Mot de passe">
                <input id="newComment" type="text" class="form-control inputmenu input-sm" ng-model="newComment" placeholder="Commentaire">
            </div>
        </form>
        <div class="alert" ng-class="typeMessage" ng-show="alerting">
            <strong>{{myresponse}}</strong> <a href='#' ng-click="closeAlert()" class="close">x</a>
        </div>
        <button title="Ajout du wallet" class="btn btn-primary" ng-click="addWallet()">Ajout</button>
        <button title="Modification du wallet" class="btn btn-primary" ng-click="UpdateWallet()" ng-show="showBtn">Modification</button>
        <div> 
            <br><h5>Recherche <a title="Afficher tout" href='#' ng-click="initFirst()"><i class="glyphicon glyphicon-repeat"></i></a></h5>
            <input id="searchClef" placeholder="Recherche Clef" ng-model="searchClef" class="inputmenu ng-pristine ng-untouched ng-valkey" />
            <a title="Filtrer" href='#' ng-click="searchKey(searchClef)"><i class="glyphicon glyphicon-search"></i></a>
            <input id="search" placeholder="Recherche Url" ng-model="search" class="inputmenu ng-pristine ng-untouched ng-valkey" />
            <a title="Filtrer" href='#' ng-click="searchWallet(search)"><i class="glyphicon glyphicon-search"></i></a>
            <input id="searchidentifiant" placeholder="Recherche identifiant" ng-model="searchidentifiant" class="inputmenu ng-pristine ng-untouched ng-valkey" />
            <a title="Filtrer" href='#' ng-click="searchLogin(searchidentifiant)"><i class="glyphicon glyphicon-search"></i></a>
        </div>
    </div>
    <div class="col-sm-8">
        <div class="container">
            <div>
                <table class="table table-striped table-hover spacer">
                    <thead>
                        <tr>
                            <th>Clef</th>
                            <th>Url</th>
                            <th>identifiant</th>
                            <th>Mot de passe</th>
                            <th>Commentaire</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr ng-repeat="wallet in wallet track by $index">
                            <td>{{wallet.key}}</td>
                            <td>{{wallet.url}}</td>
                            <td>{{wallet.login}}</td>
                            <td>{{wallet.pwd}}</td>
                            <td>{{wallet.comment}}</td>
                            <td>
                                <a title="Modification du wallet" href='#' ng-click="editWallet(wallet)"><i class="glyphicon glyphicon-edit" id="{{wallet.key + '-update'}}"></i></a>
                                <a title="Suppression du wallet" href='#' ng-click="removeWallet(wallet)" ><i class="glyphicon glyphicon-remove" id="{{wallet.key + '-delete'}}"></i></a></td>
                        </tr>
                    </tbody>
                </table>
            </div>
           <span id="filtreWallet">{{filtreWallet}}</span> / <span id="totalWallet">{{totalWallet}}</span> wallet(s).
        </div>
    </div>

    <nav class="navbar navbar-default navbar-fixed-bottom">
  <div class="container">
    Application mise sous test &nbsp;&nbsp;-&nbsp;&nbsp;
    <a title="Documentation Api" href='docs/index.html' target="_blank"><i class="glyphicon glyphicon-info-sign"></i></a>
    <a title="Supression de tous les wallets" href='#' ng-click="clearWallet()"><i class="glyphicon glyphicon-ban-circle"></i></a>
    <a title="Peuplement de wallets" href='#' ng-click="initWallet()"><i class="glyphicon glyphicon-gift"></i></a>
  </div>
</nav>
    <script type="text/javascript" src="js/angular.min.js"></script>
    <script type="text/javascript" src="js/angular-sanitize.min.js"></script>
    <script type="text/javascript" src="js/app.js"></script>
    <script type="text/javascript" src="js/jquery.min.js"></script>
    <script type="text/javascript" src="js/bootstrap.min.js"></script>
</body>

</html>